package com.yidian.shenghuoquan.newscontent.viewholder

import android.view.View
import androidx.recyclerview.widget.RecyclerView
import com.yidian.shenghuoquan.newscontent.adapter.StoreAdapter
import com.yidian.shenghuoquan.newscontent.bean.Store

/**
 * Author: sym
 * Date: 2021/6/22 3:23 PM
 * Describe:
 */
class StoreViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
  private lateinit var listener: StoreAdapter.HolderListener

  fun setData(data: Store, pos: Int) {
    /* val title =  itemView.findViewById<TextView>(R.id.tvTitle)
     title.text = hobby?.title */

  }

  fun setOnListener(deleteListener: StoreAdapter.HolderListener) {
    listener = deleteListener
  }

  init {
    itemView.setOnClickListener {
      listener.jump()
    }
  }

}
